﻿@model PagedList<DomainModels.Entities.Financial.DolorWithdrawalRequest>


@{
    ViewBag.Title = "جستجوی وجوه پرداختی ارزی به کاربران";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")


<div class="panel panel-green">
    <div class="panel-heading">جستجو بر اساس  نام کاربری (شماره موبایل) کاربر</div>
    <div class="panel-body">
        @using (Html.BeginForm("Search", "DolorWithdrawalRequest", FormMethod.Get))
        {
            <div class="row">
                <div class="col-md-5">
                    <input type="submit" value="جستجو" class="btn btn-green" />
                </div>
                <div class="col-md-5">@Html.TextBox("text", "", new { @class = "form-control" })</div>
                <div class="col-md-2">نام کاربری (شماره موبایل):</div>
            </div>
        }
    </div>
</div>



<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().BtcWalletAddress)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Amount)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().BitcoinFee)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PayDescription)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PayDate)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().WithdrawalRequestStatusId)
					</th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data)
            {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.User.FullName) (@Html.DisplayFor(modelItem => item.UserId))
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.BtcWalletAddress)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.Amount)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.BitcoinFee)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.PayDescription)
					</td>
					<td>
						@Html.ShowDateTime(item.PayDate, ShamsiDateFormatType.ToPersianWithTime)
					</td>
					<td>
                        @Html.ShowWithdrawalRequestStatus(item.WithdrawalRequestStatus)
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Search", new { text = Request["text"] }), true)
			
	</div>
</div>
